package cz.moneta.test.regression.channels.digital.ml.brokersportal;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.util.task.brokerportal.BrokerPortalTasks;
import cz.moneta.test.harness.annotations.JiraTestCase;
import cz.moneta.test.harness.annotations.NonConcurrentTestScenario;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.support.auth.Credentials;
import cz.moneta.test.harness.support.auth.Key;

import static cz.moneta.test.dsl.util.credentials.Keys.brokerPortal;

@NonConcurrentTestScenario(name = "Check broker profile")
public class BrokerProfileTest {

    @TestCase(name = "Check broker profile")
    @JiraTestCase(id = "ML-T2587")
    public void tcCheckBrokerProfile(Harness harness, @Key(brokerPortal.broker) Credentials broker) {
        BrokerPortalTasks tasks = harness.tasks().brokerPortal();
        harness.withBrokerPortal()
                .openLoginPage()
                .then(tasks.loginTasks().loginWithCredentials(broker))
                .then(tasks.menuTasks().clickProfileSettings())
                .clickNotificationsButtons()
                .checkCheckboxKompletaceSlozky();
    }
}